Author: Philippe Coval <rzr@gna.org>
Date:   Sat Aug 1 00:56:03 2009 +0200
Description: ???

--- a/bandmat.cpp
+++ b/bandmat.cpp
@@ -7,6 +7,7 @@
 //#define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 #include "newmatrc.h"
--- a/cholesky.cpp
+++ b/cholesky.cpp
@@ -6,6 +6,7 @@
 //#define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 
--- a/evalue.cpp
+++ b/evalue.cpp
@@ -5,6 +5,8 @@
 #define WANT_MATH
 
 #include "include.h"
+#include "config.h"
+
 #include "newmatap.h"
 #include "newmatrm.h"
 #include "precisio.h"
--- a/fft.cpp
+++ b/fft.cpp
@@ -7,6 +7,7 @@
 // #define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
 
 #include "newmatap.h"
 
--- a/hholder.cpp
+++ b/hholder.cpp
@@ -5,6 +5,7 @@
 #define WANT_MATH
 
 #include "include.h"
+#include "config.h"
 
 #include "newmatap.h"
 
--- a/jacobi.cpp
+++ b/jacobi.cpp
@@ -9,6 +9,8 @@
 #define WANT_MATH
 
 #include "include.h"
+#include "config.h"
+
 #include "newmatap.h"
 #include "precisio.h"
 #include "newmatrm.h"
--- a/myexcept.cpp
+++ b/myexcept.cpp
@@ -17,7 +17,7 @@
 #define WANT_STRING
 
 #include "include.h"                   // include standard files
-
+#include "config.h"
 
 #include "myexcept.h"                  // for exception handling
 
--- a/newmat2.cpp
+++ b/newmat2.cpp
@@ -5,6 +5,7 @@
 #define WANT_MATH
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 #include "newmatrc.h"
--- a/newmat3.cpp
+++ b/newmat3.cpp
@@ -5,6 +5,7 @@
 //#define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 #include "newmatrc.h"
--- a/newmat4.cpp
+++ b/newmat4.cpp
@@ -3,6 +3,7 @@
 // Copyright (C) 1991,2,3,4,8,9: R B Davies
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 #include "newmatrc.h"
--- a/newmat5.cpp
+++ b/newmat5.cpp
@@ -5,6 +5,7 @@
 //#define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 #include "newmatrc.h"
--- a/newmat6.cpp
+++ b/newmat6.cpp
@@ -3,6 +3,7 @@
 // Copyright (C) 1991,2,3,4: R B Davies
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 #include "newmatrc.h"
--- a/newmat7.cpp
+++ b/newmat7.cpp
@@ -3,6 +3,7 @@
 // Copyright (C) 1991,2,3,4: R B Davies
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 #include "newmatrc.h"
--- a/newmat8.cpp
+++ b/newmat8.cpp
@@ -5,6 +5,7 @@
 #define WANT_MATH
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 #include "newmatrc.h"
--- a/newmat9.cpp
+++ b/newmat9.cpp
@@ -6,6 +6,8 @@
 #define WANT_FSTREAM
 
 #include "include.h"
+#include "config.h"
+
 
 #include "newmat.h"
 #include "newmatio.h"
--- a/newmatex.cpp
+++ b/newmatex.cpp
@@ -5,6 +5,8 @@
 #define WANT_STREAM                  // include.h will get stream fns
 
 #include "include.h"                 // include standard files
+#include "config.h"
+
 #include "newmat.h"
 
 #ifdef use_namespace
--- a/sl_ex.cpp
+++ b/sl_ex.cpp
@@ -7,6 +7,8 @@
 #define WANT_MATH
 
 #include "include.h"
+#include "config.h"
+
 #include "solution.h"
 
 #ifdef use_namespace
--- a/solution.cpp
+++ b/solution.cpp
@@ -7,6 +7,8 @@
 #define WANT_MATH                    // include.h will get math fns
 
 #include "include.h"
+#include "config.h"
+
 #include "boolean.h"
 #include "myexcept.h"
 
--- a/sort.cpp
+++ b/sort.cpp
@@ -5,6 +5,7 @@
 #define WANT_MATH
 
 #include "include.h"
+#include "config.h"
 
 #include "newmatap.h"
 
--- a/submat.cpp
+++ b/submat.cpp
@@ -3,6 +3,7 @@
 // Copyright (C) 1991,2,3,4: R B Davies
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 #include "newmatrc.h"
--- a/svd.cpp
+++ b/svd.cpp
@@ -6,6 +6,8 @@
 #define WANT_MATH
 
 #include "include.h"
+#include "config.h"
+
 #include "newmatap.h"
 #include "newmatrm.h"
 #include "precisio.h"
--- a/tmt.cpp
+++ b/tmt.cpp
@@ -1,6 +1,7 @@
 #define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 
--- a/tmt1.cpp
+++ b/tmt1.cpp
@@ -4,6 +4,7 @@
 
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 
--- a/tmt2.cpp
+++ b/tmt2.cpp
@@ -3,6 +3,7 @@
 
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 
--- a/tmt3.cpp
+++ b/tmt3.cpp
@@ -2,6 +2,7 @@
 //#define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 
--- a/tmt4.cpp
+++ b/tmt4.cpp
@@ -3,6 +3,7 @@
 
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 
--- a/tmt5.cpp
+++ b/tmt5.cpp
@@ -2,6 +2,7 @@
 //#define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 
--- a/tmt6.cpp
+++ b/tmt6.cpp
@@ -4,6 +4,7 @@
 
 
 #include "include.h"
+#include "config.h"
 
 #include "newmatap.h"
 
--- a/tmt7.cpp
+++ b/tmt7.cpp
@@ -2,6 +2,7 @@
 //#define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 
--- a/tmt8.cpp
+++ b/tmt8.cpp
@@ -2,6 +2,7 @@
 //#define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
 
 #include "newmatap.h"
 
--- a/tmt9.cpp
+++ b/tmt9.cpp
@@ -1,6 +1,8 @@
 //#define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
+
 #include "newmatap.h"
 
 #include "tmt.h"
--- a/tmta.cpp
+++ b/tmta.cpp
@@ -3,6 +3,7 @@
 
 
 #include "include.h"
+#include "config.h"
 
 #include "newmatap.h"
 
--- a/tmtb.cpp
+++ b/tmtb.cpp
@@ -2,6 +2,7 @@
 //#define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
 
 #include "newmat.h"
 
--- a/tmtc.cpp
+++ b/tmtc.cpp
@@ -3,6 +3,8 @@
 
 
 #include "include.h"
+#include "config.h"
+
 #include "newmat.h"
 
 #include "tmt.h"
--- a/tmtd.cpp
+++ b/tmtd.cpp
@@ -2,6 +2,8 @@
 //#define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
+
 #include "newmatap.h"
 
 #include "tmt.h"
--- a/tmte.cpp
+++ b/tmte.cpp
@@ -3,6 +3,7 @@
 #define WANT_MATH
 
 #include "include.h"
+#include "config.h"
 
 #include "newmatap.h"
 //#include "newmatio.h"
--- a/tmtf.cpp
+++ b/tmtf.cpp
@@ -3,6 +3,7 @@
 #define WANT_MATH
 
 #include "include.h"
+#include "config.h"
 
 #include "newmatap.h"
 
--- a/tmtg.cpp
+++ b/tmtg.cpp
@@ -4,6 +4,7 @@
 #define WANT_MATH                   // for sqrt
 
 #include "include.h"
+#include "config.h"
 
 #include "newmatap.h"
 
--- a/tmth.cpp
+++ b/tmth.cpp
@@ -2,6 +2,7 @@
 //#define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
 
 #include "newmatap.h"
 //#include "newmatio.h"
--- a/tmti.cpp
+++ b/tmti.cpp
@@ -2,6 +2,7 @@
 //#define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
 
 #include "newmatap.h"
 //#include "newmatio.h"
--- a/tmtj.cpp
+++ b/tmtj.cpp
@@ -2,6 +2,7 @@
 //#define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
 
 #include "newmatap.h"
 //#include "newmatio.h"
--- a/tmtk.cpp
+++ b/tmtk.cpp
@@ -2,6 +2,7 @@
 #define WANT_STREAM
 
 #include "include.h"
+#include "config.h"
 
 #include "newmatap.h"
 #include "newmatio.h"
